OpenCL C++ Bindings

Loading...
Searching...
No Matches
cl::ImageFormat Struct Reference

Adds constructors and member functions for cl_image_format. More...

`#include <opencl.hpp>`

Inheritance diagram for cl::ImageFormat:

## Public Member Functions
| ImageFormat ()
| Default constructor - performs no initialization.
| ImageFormat (cl_channel_order order, cl_channel_type type)
| Initializing constructor.
| ImageFormat (const ImageFormat &other)
| Copy constructor.
ImageFormat & | operator= (const ImageFormat &rhs)
| Assignment operator.

## Detailed Description

Adds constructors and member functions for cl_image_format.

\stuct ImageFormat

See also
  cl_image_format

Definition at line 2459 of file opencl.hpp.

## Constructor & Destructor Documentation

## ◆ ImageFormat() [1/3]

cl::ImageFormat::ImageFormat | ( |  | ) |
| inline

Default constructor - performs no initialization.

Definition at line 2462 of file opencl.hpp.

## ◆ ImageFormat() [2/3]

cl::ImageFormat::ImageFormat | ( | cl_channel_order | order,
|  | cl_channel_type | type )
| inline

Initializing constructor.

Definition at line 2465 of file opencl.hpp.

## ◆ ImageFormat() [3/3]

cl::ImageFormat::ImageFormat | ( | const ImageFormat & | other | ) |
| inline

Copy constructor.

Definition at line 2472 of file opencl.hpp.

## Member Function Documentation

## ◆ operator=()

ImageFormat & cl::ImageFormat::operator= | ( | const ImageFormat & | rhs | ) |
| inline

Assignment operator.

Definition at line 2475 of file opencl.hpp.

The documentation for this struct was generated from the following file:

- opencl.hpp